package com.ruoyi.material.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 物料管理对象 c_material
 *
 * @author ruoyi
 * @date 2024-02-28
 */
public class CMaterial extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long materialId;

    /** 关联物料类型编码 */
    private String materialTypeId;

    /** 型号 */
    @Excel(name = "型号")
    private String materialXingh;

    /** 规格 */
    @Excel(name = "规格")
    private String materialGuig;

    /** 电压 */
    @Excel(name = "电压")
    private String materialDiany;

    /** 单位 */
    @Excel(name = "单位")
    private String materialDw;

    /** 物料类型 */
    @Excel(name = "物料类型")
    private String typeName;

    /** 物料状态 */
    @Excel(name = "物料状态")
    private String materialState;

    /** 物料成本信息 */
    private List<CMaterialCost> cMaterialCostList;

    public void setMaterialId(Long materialId)
    {
        this.materialId = materialId;
    }

    public Long getMaterialId()
    {
        return materialId;
    }

    public String getMaterialTypeId() {
        return materialTypeId;
    }

    public void setMaterialTypeId(String materialTypeId) {
        this.materialTypeId = materialTypeId;
    }

    public void setMaterialXingh(String materialXingh)
    {
        this.materialXingh = materialXingh;
    }

    public String getMaterialXingh()
    {
        return materialXingh;
    }
    public void setMaterialGuig(String materialGuig)
    {
        this.materialGuig = materialGuig;
    }

    public String getMaterialGuig()
    {
        return materialGuig;
    }
    public void setMaterialDiany(String materialDiany)
    {
        this.materialDiany = materialDiany;
    }

    public String getMaterialDiany()
    {
        return materialDiany;
    }
    public void setMaterialDw(String materialDw)
    {
        this.materialDw = materialDw;
    }

    public String getMaterialDw()
    {
        return materialDw;
    }

    public List<CMaterialCost> getCMaterialCostList()
    {
        return cMaterialCostList;
    }

    public void setCMaterialCostList(List<CMaterialCost> cMaterialCostList)
    {
        this.cMaterialCostList = cMaterialCostList;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getMaterialState() {return materialState;}

    public void setMaterialState(String materialState) {this.materialState = materialState;}

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("materialId", getMaterialId())
                .append("materialXingh", getMaterialXingh())
                .append("materialGuig", getMaterialGuig())
                .append("materialDiany", getMaterialDiany())
                .append("materialDw", getMaterialDw())
                .append("cMaterialCostList", getCMaterialCostList())
                .toString();
    }
}
